<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="modal-header">
  <h4
    class="modal-title"
    id="modalBasicTitle"
    [innerText]="secondaryActionEnum.HistoryTasks | actionName">
  </h4>
  <button
    type="button"
    class="btn-close"
    [title]="commonMessages.CLOSE"
    (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
  </button>
</div>
<div class="modal-body">

  <table
    aria-labelledby="modalBasicTitle"
    class="bg-white w-100 mt-2 table table-striped table-borderless border shadow-sm table-fixed table-text-overflow">
    <thead class="border">
      <tr>
        <th
          scope="col"
          class="th-sm col-date-time-fixed-size"
          [innerText]="messages.DATE">
        </th>
        <th
          scope="col"
          class="th-sm"
          [innerText]="commonMessages.DESK">
        </th>
        <th
          scope="col"
          class="th-sm"
          [innerText]="commonMessages.USER">
        </th>
        <th
          scope="col"
          class="th-sm col-action-history-fixed-size"
          [innerText]="commonMessages.ACTION">
        </th>
        <th
          scope="col"
          class="th-sm"
          [innerText]="commonMessages.PUBLIC_ANNOTATION">
        </th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let task of tasks">
        <td [innerText]="task.date | date: 'dd/MM/yyyy HH:mm:ss'"></td>
        <td [innerText]="task.desks[0]?.name | namePipe"></td>
        <td>
          <span
            *ngIf="!!task.user"
            [innerText]="prettyPrintUserFn(task.user)">
          </span>
        </td>
        <td [innerText]="task | stateHistory"></td>
        <td>
          <span
            [innerText]="task?.publicAnnotation ?? ''"
            [ngbTooltip]="task?.publicAnnotation"
            [disableTooltip]="!task?.publicAnnotation"
            openDelay="300">
          </span>
        </td>
      </tr>
    </tbody>
  </table>

</div>
<div class="modal-footer">
  <button
    ls-button
    [text]="commonMessages.CLOSE"
    (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
  </button>
</div>
